#!/bin/bash

# Parameters:
# 1 - name of the database to analyze - mandatory
# 2 - score matrix - mandatory
# 3 - maximum e-value - optional, default 0.00001

function usage {
  echo "

  Usage:
  $0 <database_file> <score_matrix> [<evalue>]"
}

db=`echo $1 | sed 's/\///g'`
evd=${2#scores/tds_}
evd=${evd%.txt}

java -classpath path.jar sequoia.path.main.Main -b ${1:?Mandatory parameter 1 missing. Please provide the path to the database.
`usage`} -sm ${2:?Mandatory parameter 2 missing. Please choose a score matrix.
`usage`} -eP ${2/.txt/_params.txt} -f f -fs 4 -G f -m 3 -x -04 -t -02 -c -30 -ce -10 -d -40 -e -05 -z -gx -os out/selected_${db}_${evd} -mev ${3:-0.00001}
