#!/bin/bash

# Parameters:
# 1 - name of the first database - mandatory
# 2 - name of the second database - mandatory
# 3 - score matrix - mandatory
# 4 - maximum e-value - optional, default 0.00001

function usage {
  echo "

  Usage:
  $0 <database_file_1> <database_file_2> <score_matrix> [<evalue>]"
}

dbA=`echo $1 | sed 's/\///g'`
dbB=`echo $2 | sed 's/\///g'`
evd=${3#scores/tds_}
evd=${evd%.txt}

java -classpath path.jar sequoia.path.main.Main -S1 ${1:?Mandatory parameter 1 missing. Please provide the path to the first database.
`usage`} -S2 ${2:?Mandatory parameter 2 missing. Please provide the path to the second database.
`usage`} -sm ${3:?Mandatory parameter 3 missing. Please choose a score matrix.
`usage`} -eP ${3/.txt/_params.txt} -f f -fs 4 -G f -m 3 -x -04 -t -02 -c -30 -ce -10 -d -40 -e -05 -z -gx -os out/selected_${dbA}_${dbB}_${evd} -mev ${4:-0.00001}
